reverse: Reverse geocoding
API: openstreetmap.org:nominatim-api
Endpoint: /reverse
Response format: application/json
+1 format
Charset: utf-8
Auth: unknown
Method: GET
Last Status:
200
Latency: 336ms
Description
Search for the address of a location by its coordinates (latitude/longitude).
Parameters (14)
accept-language
(string, query, optional)
Preferred language for results
addressdetails
(integer, query, optional, default: 1)
Include breakdown of the address into elements (0 or 1)
Constraints: {'enum': [0, 1]}
email
(string, query, optional)
Valid email for identification
entrances
(integer, query, optional, default: 0)
Include tagged entrances (0 or 1)
Constraints: {'enum': [0, 1]}
extratags
(integer, query, optional, default: 0)
Include additional database info (0 or 1)
Constraints: {'enum': [0, 1]}
format
(string, query, optional, default: xml)
Output format
Constraints: {'enum': ['xml', 'json', 'jsonv2', 'geojson', 'geocodejson']}
json_callback
(string, query, optional)
Function name for JSONP wrapper (JSON formats only)
lat
(number, query, required)
Latitude in WGS84 projection (required)
layer
(string, query, optional, default: address,poi)
Comma-separated layers: address, poi, railway, natural, manmade
lon
(number, query, required)
Longitude in WGS84 projection (required)
namedetails
(integer, query, optional, default: 0)
Include full list of names (0 or 1)
Constraints: {'enum': [0, 1]}
polygon_geojson
(integer, query, optional, default: 0)
Include full geometry as GeoJSON (0 or 1)
Constraints: {'enum': [0, 1]}
polygon_threshold
(number, query, optional, default: 0.0)
Simplification tolerance in degrees
zoom
(integer, query, optional, default: 18)
Detail level (0-18): 3=country, 5=state, 8=county, 10=city, 12=town, 14=neighbourhood, 18=building
Constraints: {'minimum': 0, 'maximum': 18}
Examples (3)
Reverse Geocoding
openapi-spec
Curl
Python Requests
Zingu Apis
Javascript Fetch
curl 'https://nominatim.openstreetmap.org/reverse?lat=52.5170365&lon=13.3888599'
import requests
resp = requests.get(
"https://nominatim.openstreetmap.org/reverse",
params={
'lat': '52.5170365',
'lon': '13.3888599',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("nominatim")
result = api.fetch("reverse", lat=52.5170365, lon=13.3888599)
for item in result:
print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/reverse?lat=52.5170365&lon=13.3888599");
const data = await resp.json();
Run
Truncate
Auto
Table
Raw
Reverse Geocoding
openapi-spec
Curl
Python Requests
Zingu Apis
Javascript Fetch
curl 'https://nominatim.openstreetmap.org/reverse?lat=51.5074&lon=-0.1278'
import requests
resp = requests.get(
"https://nominatim.openstreetmap.org/reverse",
params={
'lat': '51.5074',
'lon': '-0.1278',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("nominatim")
result = api.fetch("reverse", lat=51.5074, lon=-0.1278)
for item in result:
print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/reverse?lat=51.5074&lon=-0.1278");
const data = await resp.json();
Run
Truncate
Auto
Table
Raw
Reverse Geocoding
probe-gate
Curl
Python Requests
Zingu Apis
Javascript Fetch
curl 'https://nominatim.openstreetmap.org/reverse?lat=51.5074&lon=-0.1278&format=json&addressdetails=0&extratags=0&namedetails=0&zoom=18'
import requests
resp = requests.get(
"https://nominatim.openstreetmap.org/reverse",
params={
'lat': '51.5074',
'lon': '-0.1278',
'format': 'json',
'addressdetails': '0',
'extratags': '0',
'namedetails': '0',
'zoom': '18',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("nominatim")
result = api.fetch("reverse", lat=51.5074, lon=-0.1278, format="json", addressdetails=0, extratags=0, namedetails=0, zoom=18)
for item in result:
print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/reverse?lat=51.5074&lon=-0.1278&format=json&addressdetails=0&extratags=0&namedetails=0&zoom=18");
const data = await resp.json();
Run
Truncate
Auto
Table
Raw
Probe History
Time Status Latency Size
2026-04-16 17:24:09.222908
200
336ms
2026-04-16 02:45:52.022852
200
613ms
2026-04-16 02:18:54.289832
200
1057ms
2026-04-16 00:29:00.736233
200
989ms
2026-04-15 03:35:05.370418
200
343ms
2026-04-15 03:24:33.598976
200
449ms
2026-04-15 02:50:04.371213
200
321ms
2026-04-14 03:28:53.406510
200
357ms
2026-04-14 02:08:34.712634
200
380ms
2026-04-14 01:52:01.680747
200
253ms
2026-04-12 16:42:40.633153
200
666ms
2026-04-12 15:07:57.706781
200
297ms
2026-04-12 12:32:40.347615
200
690ms
2026-04-10 04:27:39.119006
200
613ms
2026-04-10 00:24:52.233360
200
928ms
2026-04-10 00:23:29.887857
200
639ms
2026-04-09 03:36:41.821005
200
387ms
2026-04-09 02:53:34.228142
200
487ms
2026-04-09 02:12:50.049273
200
250ms
2026-03-30 03:06:26.548908
200
446ms
2026-03-30 02:23:58.897277
200
354ms
2026-03-30 02:01:27.768113
200
360ms
2026-03-29 13:24:36.274359
200
311ms
2026-03-29 13:05:48.151006
200
327ms
2026-03-29 13:04:36.034933
200
326ms
2026-03-23 10:47:35.341498
200
300ms
2026-03-23 10:31:18.480660
200
290ms
2026-03-23 09:16:06.066473
200
1344ms